'                                                                  
' Copyright  2013 Lidor Systems.
' All Rights Reserved.
'
' This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
' either express or implied.                        
'

Public Class Form1

#Region "Initialization"
    Public Sub New()
        InitializeComponent()

        CreateLabelContent()
    End Sub

    Private Sub CreateLabelContent()
        Dim content As [String] = "<div style=""font:Verdana,9,r""><p>In this sample we are showing how to create cusatom command buttons and place them in splitter of SplitContainer control.</p><br></br>"
        content += "<p>First button from the right, when clicked will collapse the first panel and expand the second panel. The second button from the right when clicked will do the oposite, it will collapse the first panel and expand the second panel.</p><br></br>"
        content += "<p>Other buttons are built-in buttons and they are used to change the orientation of SplitContainer from horizontal to vertical and vice versa, and also a button which always expand/collapse the second panel.</p>"
        content += "</div>"

        Me.labelInfo.Content = content
    End Sub
#End Region

#Region "Events"
    Private Sub splitContainer1_TabStripButtonClicked(ByVal sender As Object, ByVal e As LidorSystems.IntegralUI.ObjectClickEventArgs) Handles splitContainer1.TabStripButtonClicked
        If TypeOf e.[Object] Is LidorSystems.IntegralUI.Controls.CommandButton Then
            Dim cmdButton As LidorSystems.IntegralUI.Controls.CommandButton = DirectCast(e.[Object], LidorSystems.IntegralUI.Controls.CommandButton)

            Select Case cmdButton.Key
                Case "EXPAND_UP"
                    Me.splitContainer1.Panel1Collapsed = True
                    Exit Select

                Case "EXPAND_DOWN"
                    Me.splitContainer1.Panel2Collapsed = True
                    Exit Select
            End Select
        End If
    End Sub

    Private Sub splitContainer1_OrientationChanged(ByVal sender As Object, ByVal e As EventArgs) Handles splitContainer1.OrientationChanged
        Select Case Me.splitContainer1.Orientation
            Case Orientation.Horizontal
                Me.splitContainer1.TabStripButtons(3).ImageIndex = 0
                Me.splitContainer1.TabStripButtons(4).ImageIndex = 1
                Exit Select

            Case Orientation.Vertical
                Me.splitContainer1.TabStripButtons(3).ImageIndex = 2
                Me.splitContainer1.TabStripButtons(4).ImageIndex = 3
                Exit Select
        End Select

    End Sub
#End Region

End Class
